"{ Package: 'stx:libbasic3' }"

"{ NameSpace: Packages }"

Collection subclass:#PrerequisiteCollection
	instanceVariableNames:'collection'
	classVariableNames:''
	poolDictionaries:''
	category:'Package-Prerequisite'
!


!PrerequisiteCollection class methodsFor:'instance creation'!

new
    ^ self basicNew initialize
! !

!PrerequisiteCollection methodsFor:'adding & removing'!

add:anObject 
    ^ collection add:anObject
!

addFirst:anObject 
    ^ collection addFirst:anObject
!

remove:anObject ifAbsent:aBlock 
    ^ collection remove:anObject ifAbsent:aBlock 
!

removeIdentical:arg1 ifAbsent:aBlock 
    ^ collection removeIdentical:arg1 ifAbsent:aBlock 
!

removeLast
    ^ collection removeLast
! !

!PrerequisiteCollection methodsFor:'enumerating'!

do:aOneArgBlock 
    ^ collection do:aOneArgBlock
!

reverseDo:aOneArgBlock 
    ^ collection reverseDo:aOneArgBlock
! !

!PrerequisiteCollection methodsFor:'evaluation'!

evaluate
    self do:[:aPrerequisite |
        aPrerequisite evaluate.
    ].

! !

!PrerequisiteCollection methodsFor:'growing'!

grow:anInteger 
    ^ collection grow:anInteger 
! !

!PrerequisiteCollection methodsFor:'initialize'!

initialize
    collection := OrderedCollection new.
! !

!PrerequisiteCollection class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/packages/PrerequisiteCollection.st,v 1.1 2003-04-09 11:38:27 james Exp $'
! !
